@Echo off
cls
If exist MJSHEL40.RES DEL MJSHEL40.RES
If x%1==xZIP goto ZIP
If x%1==xPLAY goto PLAY
If x%1==xUNZIP goto UNZIP
If x%1==xTMP goto ZIPDIR
goto FAIL
:ZIP
cls
ECHO.
ECHO.
ECHO                    ͻ
ECHO                                                            
ECHO                         Mah Jongg Tile Set Manager 4.0     
ECHO                          is creating or updating your      
ECHO                              ZIPped Tile Sets.             
ECHO                         This may take a few minutes!       
ECHO                                                            
ECHO                                                            
ECHO                    ͼ
ECHO. 
pkzip -u mah_tiles *.til
If ErrorLevel 1 goto FAIL
del *.TIL
goto SUCCESS
:PLAY
If x%2==xNo goto playmah
cls
ECHO.
ECHO.
ECHO                    ͻ
ECHO                                                            
ECHO                         Mah Jongg Tile Set Manager 4.0     
ECHO                           is unZIPping your selected       
ECHO                                  Tile Set.                 
ECHO                                                            
ECHO                       Your game will start momentarily!    
ECHO                                                            
ECHO                    ͼ
ECHO. 
pkunzip -o mah_tiles %3 >NUL
If Errorlevel 1 goto FAIL
:playmah
mahjongg %4 %5 %6 %7 %8 %9 -u%3
If x%2==xNo goto SUCCESS
del %3
goto SUCCESS
:UNZIP
cls
ECHO.
ECHO.
ECHO                    ͻ
ECHO                                                            
ECHO                         Mah Jongg Tile Set Manager 4.0     
ECHO                     is unZIPping your Mah Jongg Tile Sets. 
ECHO                                                            
ECHO                         This may take a few minutes!       
ECHO                                                            
ECHO                                                            
ECHO                    ͼ
ECHO. 
PKUNZIP MAH_TILES *.TIL
If Errorlevel 1 goto FAIL
If exist MAH_TILES.ZIP del MAH_TILES.ZIP
If exist MJSHEL40.DIR del MJSHEL40.DIR
goto SUCCESS
:ZIPDIR
cls
ECHO.
ECHO.
ECHO.
ECHO                    ͻ
ECHO                                                            
ECHO                         Mah Jongg Tile Set Manager 4.0     
ECHO                                      is                    
ECHO                            creating a directory of         
ECHO                                     your                   
ECHO                              ZIPPED Tiles Sets             
ECHO                                                            
ECHO                    ͼ
ECHO. 
PKZIP -VBN MAH_TILES >MJSHEL40.TMP
If Errorlevel 1 goto FAIL
goto SUCCESS
:FAIL
echo FAIL >MJSHEL40.RES
goto END
:SUCCESS
echo OK >MJSHEL40.RES
:END
exit

